#!/bin/bash

set -x

# To meet uploading requirements.
apt install rsync

d=tips
mkdir -p /srv/www/$d
chown user:user /srv/www/$d

cat <<EOF >/etc/apache2/sites-available/$d.conf
<VirtualHost $d.defun.work:*>
    DocumentRoot /srv/www/$d
    ServerName $d.defun.work

    <Directory "/srv/www/$d/">
        Require all granted
    </Directory>

    Alias "/.well-known/acme-challenge/" "/srv/www/letsencrypt/.well-known/acme-challenge/"
    <Directory "/srv/www/letsencrypt/">
        Require all granted
    </Directory>
</VirtualHost>

<IfModule mod_ssl.c>
  <VirtualHost $d.defun.work:443>
	DocumentRoot /srv/www/$d
    ServerName $d.defun.work

    <Directory "/srv/www/$d/">
        Require all granted
    </Directory>

    SSLCertificateFile /etc/letsencrypt/live/defun.work/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/defun.work/privkey.pem
    Include /srv/www/letsencrypt/apache-ssl-options.conf
  </VirtualHost>
</IfModule>
EOF

a2ensite $d
service apache2 reload
